Page MenuHomePhabricator

Deprecate/Remove Language::getExtraUserToggles
Closed, ResolvedPublic

Description

Language::getExtraUserToggles looks unused and a very old way to add additional preferences, there are hooks for a better integration now.

Please check extensions and if unused remove it, else deprecate. Thanks.


Version: 1.23.0
Severity: enhancement

Details

Reference
bz60260

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:08 AM
bzimport set Reference to bz60260.
bzimport added a subscriber: Unknown Object (MLST).
Krinkle added a subscriber: Krinkle.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 22 2016, 11:41 PM

Change 492487 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/core@master] languages: Deprecate Language::getExtraUserToggles()

https://gerrit.wikimedia.org/r/492487

Per https://codesearch.wmflabs.org/search/?q=getExtraUserToggles&i=nope&files=&repos=, this seems to be still used in core. Added a soft deprecation.

Change 492487 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/core@master] languages: Hard deprecate Language::getExtraUserToggles() method

https://gerrit.wikimedia.org/r/492487

Change 492487 merged by jenkins-bot:
[mediawiki/core@master] languages: Hard deprecate Language::getExtraUserToggles() method

https://gerrit.wikimedia.org/r/492487

Krinkle closed this task as Resolved.May 26 2019, 12:55 PM
Krinkle claimed this task.
Krinkle removed a project: Patch-For-Review.